#include <iostream.h>
#include <conio.h>
#pragma hdrstop
class Vehicle
{
 public:
   int GetWheels() {return Wheels;}
   void SetWheels(int numWheels) {Wheels=numWheels;}
 private:
   int Wheels;  
}V, *pV;// deklaracja egzemplarza klasy i wskaźnika do niego
//---------------------------------------------------------
int main()
{
  cout <<" bezpośrednie uzyskanie dostępu do egz.klasy V"
       << endl;
  V.SetWheels(12);
  cout << V.GetWheels() << endl;

  pV = &V; // przypisanie wskaźnikowi pV adresu egzemplarza V
  cout <<" pośrednie uzyskanie dostępu do egz.klasy V"
       << endl;
  cout << pV->GetWheels();

  getch();
  return 0;
}

